Subject: Re: linux-next: block tree build failure

From: Jens Axboe <[email-masked]>
Date: Fri, 26 Jun 2009 11:00:01 +0200

On Fri, Jun 26 2009, Neil Brown wrote:
> On Friday June 26, [email-masked] wrote:
> > On Fri, Jun 26 2009, NeilBrown wrote:
> > > On Fri, June 26, 2009 12:53 pm, Stephen Rothwell wrote:
> > > > Hi Jens,
> > > >
> > > > Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> > > >
> > > > block/blk-core.c: In function '__make_request':
> > > > block/blk-core.c:1179: error: expected ';' before 'return'
> > > >
> > > > Caused by commit 6cf2a6c8d01514e86a8d38e4eeed402378b635dc ("Restore
> > > > barrier support for md and probably other virtual devices") which I have
> > > > reverted for today.
> > > 
> > > Arg, that's my fault - sorry.
> > > 
> > > +               bio_endio(bio, -EOPNOTSUPP)
> > > +                       return 0;
> > > 
> > > should of course be
> > > 
> > > +               bio_endio(bio, -EOPNOTSUPP);
> > > +               return 0;
> > 
> > I was certain I ran it through a compile cycle, sorry about that
> > Stephen. And Neil sending uncompiled patches, very uncool. Did you even
> > test it? I've pulled it for now.
> 
> I tested this time.
> Without the patch a 'mount -o journal=1 /dev/md0 /mnt'
> followed by writing to /mnt/something produces
> 
> Jun 26 15:34:18 dell kernel: JBD: barrier-based sync failed on md0 - disabling barriers
> 
> in the kernel logs.
> With the patch, it doesn't.
> 
> Comment updated slightly too.

Applied this one. But please in the future do let me know if you haven't
tested or even compiled a patch. When I get an official looking patch
like the previous one, I'll usually apply it directly. Breaking the
build is baaaad.

-- 
Jens Axboe